package com.sheep.gamegroup.presenter;

import com.sheep.gamegroup.model.entity.BaseMessage;
import com.sheep.gamegroup.model.entity.RequestParamEty;

/**
 * Created by ljy on 2018/3/19.
 */

public interface TryMakeMoneyContract {

    interface Presenter{
        void getData(Object o);
        void acceptedTask(RequestParamEty o);//获取已接受的任务
        void returnTask(int is_succession, int show_game_task);//获取我正在运行的任务
        void runGameTask();//获取正在运行的游戏任务
        void releaseTask(RequestParamEty o);//获取正在运行的任务

        void giveUpTask(int id);//放弃任务接口
    }
    interface View{

        void updateData2View(Object o);
        void failData2View(Object o);
        void acceptedTaskUpdataView(Object o);//
        void failAcceptedTask2View(Object o);//
        void giveUpTaskSuccesView(Object o);//
        void giveUpTaskFailView(Object o);//

        void returnTaskTaskUpdateView(Object o);
        void failReturnTask2View(Object o);
        void releaseTaskTaskUpdateView(BaseMessage baseMessage, int about_to_begin);
        void failReleaseTask2View(BaseMessage baseMessage, int about_to_begin);
    }
}
